
Gisaf - Bug #4330

Cannot download shapefiles

25/07/2017 12:36 - Philippe May

Status: Closed Start date: 25/07/2017

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Getting a 500 with: SystemError: <built-in function uwsgi_sendfile> returned a result with an error set

History

#1 - 25/07/2017 12:40 - Philippe May

- Status changed from New to Resolved

That's a pretty surprising issue, as it was tested on dev environment on my laptop.

Found an issue with uwsgi, maybe trying to optimize downloads, with ByteIO objects: https://github.com/unbit/uwsgi/issues/1126

Workaround is to add a config for uwsgi:

wsgi-disable-file-wrapper = true

#2 - 25/07/2017 12:40 - Philippe May

- % Done changed from 0 to 100

#3 - 17/11/2017 12:29 - Philippe May

- Status changed from Resolved to Closed
